Summary:	Squid-Gzip compresion on the fly
Name:		squid-ecap-gzip
Version:	1.3.0
Release:	7.frank.1
License:	GPLv2+
Group:		Networking/Other
URL:		http://code.google.com/p/squid-ecap-gzip/
Source0:	http://squid-ecap-gzip.googlecode.com/files/squid-ecap-gzip-%{version}.tar.gz
BuildRequires:	libecap-devel
BuildRequires:	zlib-devel
#BuildRequires:  compat-gcc-34-c++
Requires:	zlib
#Requires:	compat-gcc-34-c++
Buildroot:	%{_tmppath}/%{rname}-%{version}-%{release}-buildroot
Patch1: 	squid-ecap-gzip_up_to_libecap-0.2.0.patch
Patch2:		squid-ecap-gzip-textall.patch

%description
For years, there is a huge demand for a HTTP compression feature of the popular SQUID proxy 
cache. With SQUID 3.1, the eCAP feature was introduced to support third-party modules for content 
adaption, which was earlier performed by the ICAP protocol. This package provides 
GZIP content-encoding / HTTP compression for SQUID.

%prep
%setup -q
%patch1 -p1 -b .libecap-0.2.0
%patch2 -p1 -b .textall

%build
#%configure --enable-std-include=/usr/include/c++/3.4.6/backward/
%configure \
        --libdir=%{_libdir}/ecap \
        --enable-shared          \
        --disable-static
make

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/ecap/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NOTICE LICENSE.txt LICENSE-eCAP CREDITS CHANGELOG
%dir %{_libdir}/ecap
%{_libdir}/ecap/ecap_adapter_*.so


%changelog
* Thu Dec 06 2012 Leo Raikhman <leo@itoncloud.com> 1.3.0-7
- Added patch to support libecap-0.2.0
- Added patch to compress text/* mimetypes

* Mon Mar 21 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 647388
- No ads

* Sun Mar 20 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.3.0-1
+ Revision: 647119
- 1.3.0
- Rebuild

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2011.0
+ Revision: 604383
- rebuild for new zlib

* Thu Feb 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 510891
- Fix BR
- Fix BR
- import squid-ecap-gzip

